Skip to main content
GET
Get busy times

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Query Parameters

loggedInUsersTz
string

Deprecated: Use timeZone instead. The timezone of the user represented as a string

Example:

"America/New_York"

timeZone
string

The timezone for the busy times query represented as a string

Example:

"America/New_York"

dateFrom
string
required

The starting date for the busy times query

Example:

"2023-10-01"

dateTo
string
required

The ending date for the busy times query

Example:

"2023-10-31"

calendar
string[]

Calendar to load busy times from, formatted as credentialId,externalId. Repeat the parameter to load multiple calendars, e.g. calendar=135,alice@example.com&calendar=200,bob@example.com. At least one calendar is required.

Pattern: ^\d+,.+$
Example:

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required